Xfce Forum

Sub domains
 

You are not logged in.

#1 2024-03-17 15:14:25

cmcanulty
Member
From: Beulah, Michigan
Registered: 2014-05-10
Posts: 260

wine errors

I have been trying for a while to get wine working in my 22.04 xubuntu. I have the following errors which don't make sense.

cmcanulty@Dell660s:~$ wine
it looks like wine32 is missing, you should install it.
as root, please execute "apt-get install wine32"
Usage: wine PROGRAM [ARGUMENTS...]   Run the specified program
       wine --help                   Display this help and exit
       wine --version                Output version information and exit
cmcanulty@Dell660s:~$ sudo apt-get install wine32
[sudo] password for cmcanulty: 
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Package wine32 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  libwine

E: Package 'wine32' has no installation candidate
cmcanulty@Dell660s:~$ sudo apt install libwine
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
libwine is already the newest version (6.0.3~repack-1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
cmcanulty@Dell660s:~$

Offline

#2 2024-03-17 16:20:43

ToZ
Administrator
From: Canada
Registered: 2011-06-02
Posts: 11,015

Re: wine errors

Do you have the universe repository enabled? And if so, it may be an issue with Ubuntu's phased updates (see: https://askubuntu.com/questions/1410718 … ammy-22-04).


Please remember to mark your thread [SOLVED] to make it easier for others to find
--- How To Ask For Help | FAQ | Developer Wiki  |  Community | Contribute ---

Offline

#3 2024-03-17 18:23:10

cmcanulty
Member
From: Beulah, Michigan
Registered: 2014-05-10
Posts: 260

Re: wine errors

Yes I have universe & multiverse enabled. I saw that as a possible fix when I was trying to get it working. The code above says I have libwine already installed but somehow wine doesn't think I have it thank you

Last edited by cmcanulty (2024-03-17 18:28:01)

Offline

#4 2024-03-17 19:16:17

eriefisher
Member
From: ON, Canada
Registered: 2008-10-25
Posts: 412

Re: wine errors

I'm not sure how *buntu does it but with debian you need to add the i386 architecture then apt update && apt install ............

https://superuser.com/questions/741380/ … ntu-debian


Siduction
Debian Sid
Xfce 4.18

Offline

#5 2024-03-17 20:59:11

cmcanulty
Member
From: Beulah, Michigan
Registered: 2014-05-10
Posts: 260

Re: wine errors

Thanks I have added the i386 architecture but still get errors

cmcanulty@Dell660s:~$ wine  '/home/cmcanulty/Documents/Chess/ChessBase/cb9/cb9/CBase9/CBase9.exe'
it looks like wine32 is missing, you should install it.
as root, please execute "apt-get install wine32"
MESA-INTEL: warning: Ivy Bridge Vulkan support is incomplete
it looks like wine32 is missing, you should install it.
as root, please execute "apt-get install wine32"
00bc:err:process:exec_process L"Z:\\home\\cmcanulty\\Documents\\Chess\\ChessBase\\cb9\\cb9\\CBase9\\CBase9.exe" not supported on this system
cmcanulty@Dell660s:~$ 

Offline

#6 2024-03-17 23:16:27

eriefisher
Member
From: ON, Canada
Registered: 2008-10-25
Posts: 412

Re: wine errors

So to be sure, you need to add the architecture.

dpkg --add-architecture i386

update the repositories.

apt update

search for the package and/or install it.

apt search wine32
apt install wine32

Last edited by eriefisher (2024-03-17 23:16:54)


Siduction
Debian Sid
Xfce 4.18

Offline

#7 2024-03-18 11:59:32

cmcanulty
Member
From: Beulah, Michigan
Registered: 2014-05-10
Posts: 260

Re: wine errors

I had already added architecture i386 but did it again anyway. Still no luck numerous dependencies which seems wrong

cmcanulty@Dell660s:~$ sudo dpkg --add-architecture i386
[sudo] password for cmcanulty: 
cmcanulty@Dell660s:~$ sudo apt update
Hit:1 http://archive.ubuntu.com/ubuntu jammy InRelease
Hit:2 http://archive.ubuntu.com/ubuntu jammy-updates InRelease
Hit:3 http://archive.ubuntu.com/ubuntu jammy-backports InRelease
Hit:4 http://archive.ubuntu.com/ubuntu jammy-security InRelease
Hit:5 https://dl.winehq.org/wine-builds/ubuntu jammy InRelease
Hit:6 https://ppa.launchpadcontent.net/cappelikan/ppa/ubuntu jammy InRelease
Hit:7 https://ppa.launchpadcontent.net/giuspen/ppa/ubuntu jammy InRelease
Hit:8 https://ppa.launchpadcontent.net/mafoelffen/system-info/ubuntu jammy InRelease
Hit:9 https://ppa.launchpadcontent.net/mozillateam/ppa/ubuntu jammy InRelease
Hit:10 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:11 http://dl.google.com/linux/earth/deb stable InRelease                                       
Hit:12 https://repo.skype.com/deb stable InRelease                                                 
Hit:13 https://packages.mozilla.org/apt mozilla InRelease                                          
Hit:14 https://esm.ubuntu.com/apps/ubuntu jammy-apps-security InRelease                            
Hit:15 https://esm.ubuntu.com/apps/ubuntu jammy-apps-updates InRelease
Hit:16 https://esm.ubuntu.com/infra/ubuntu jammy-infra-security InRelease
Hit:17 https://esm.ubuntu.com/infra/ubuntu jammy-infra-updates InRelease
Ign:18 https://repo.vivaldi.com/stable/deb stable InRelease
Hit:19 https://repo.vivaldi.com/stable/deb stable Release
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
All packages are up to date.
cmcanulty@Dell660s:~$ apt search wine32
Sorting... Done
Full Text Search... Done
carla-bridge-wine32/jammy 2.4.2-0ubuntu2 i386
  carla win32 bridge (wine DLL)

dxvk-wine32-development/jammy 1.9.4+ds1-1ubuntu1 i386
  Vulkan-based translation layer for Direct3D 9/10/11 - wine32 build

wine32/jammy 6.0.3~repack-1 i386
  Windows API implementation - 32-bit binary loader

wine32-development/jammy 6.0+repack-1ubuntu1 i386
  Windows API implementation - 32-bit binary loader

wine32-development-preloader/jammy 6.0+repack-1ubuntu1 i386
  Windows API implementation - prelinked 32-bit binary loader

wine32-development-tools/jammy 6.0+repack-1ubuntu1 i386
  Windows API implementation - 32-bit developer tools

wine32-preloader/jammy 6.0.3~repack-1 i386
  Windows API implementation - prelinked 32-bit binary loader

wine32-tools/jammy 6.0.3~repack-1 i386
  Windows API implementation - 32-bit developer tools

cmcanulty@Dell660s:~$ sudo apt install wine32
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 apt : Depends: libapt-pkg6.0 (>= 2.4.11) but it is not going to be installed
       Depends: libstdc++6 (>= 11) but it is not installable
 tracker : Depends: libicu70 (>= 70.1-1~) but it is not going to be installed
           Depends: libtracker-sparql-3.0-0 (= 3.3.0-1) but it is not going to be installed
           Depends: shared-mime-info
           Recommends: tracker-miner-fs but it is not going to be installed
 tracker-extract : Depends: libexempi8 (>= 2.5.0) but it is not going to be installed
                   Depends: libgexiv2-2 (>= 0.6.1) but it is not going to be installed
                   Depends: libgsf-1-114 (>= 1.14.24) but it is not going to be installed
                   Depends: libgxps2 (>= 0.2.1) but it is not going to be installed
                   Depends: libicu70 (>= 70.1-1~) but it is not going to be installed
                   Depends: libpoppler-glib8 (>= 0.18.0) but it is not going to be installed
                   Depends: libtotem-plparser18 (>= 3.26.0) but it is not going to be installed
                   Depends: libtracker-sparql-3.0-0 (>= 3.3.0~) but it is not going to be installed
                   Depends: libxml2 (>= 2.7.4) but it is not going to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
cmcanulty@Dell660s:~$ wine cfg
it looks like wine32 is missing, you should install it.
as root, please execute "apt-get install wine32"
0024:err:module:process_init L"C:\\windows\\system32\\cfg.exe" not found

Offline

#8 2024-03-18 12:31:33

eriefisher
Member
From: ON, Canada
Registered: 2008-10-25
Posts: 412

Re: wine errors

It looks like you have some broken packages. I would check your repositories. You may need to enable more repos. Also it's

winecfg

and not

wine cfg

I believe.


Siduction
Debian Sid
Xfce 4.18

Offline

#9 2024-03-18 12:50:50

cmcanulty
Member
From: Beulah, Michigan
Registered: 2014-05-10
Posts: 260

Re: wine errors

I have  repositories including universe & multiverse

Offline

Board footer

Powered by FluxBB